%define url ftp://metalab.unc.edu/pub/Linux/system/boot/loaders/
%define version 0.84
%define release 7mdk

Name: chos
Summary: Chos - an alternative boot manager.
Version: %{version}
Release: %{release}
Source: %{url}/chos-%{version}.tar.bz2
Patch: chos-0.84-root.patch.bz2
Group: System/Kernel and hardware
URL: %{url}
BuildRoot: %{_tmppath}/%{name}-buildroot
License: GPL
Prefix: %{prefix}
Exclusivearch: %{ix86}

%package vchos
Summary: Visual CHOS editor
Group: System/Configuration/Other
Requires: tcl tk

%description
ChOS is an alternative boot manager - it lets you select which operating
system to use at bootup.

%description vchos
Visual ChOS is a visual editor for ChOS configuration files.
ChOS is an alternative boot manager - it lets you select which operating
system to use at bootup.

%prep
rm -rf $RPM_BUILD_ROOT

%setup -q
%patch -p1

%build
cd sources
make

%install
ROOT="$RPM_BUILD_ROOT" ./Install <<EOF
Y
/usr/bin/wish8.0
EOF

# (sb) fix permissions on chos
chmod 0755 $RPM_BUILD_ROOT/sbin/chos

# (sb) installed but unpackaged files
rm -f $RPM_BUILD_ROOT/bin

%clean
rm -rf $RPM_BUILD_ROOT
rm -rf $RPM_BUILD_DIR/chos-%{version}

%files
%defattr(-,root,root)
%doc docs/ README NEWS
%dir /boot/bg
/boot/bg/*
/boot/chos*
/sbin/*

%files vchos
%defattr(-,root,root)
%doc README
/usr/X11R6/bin/*

%changelog
* Mon Dec 30 2002 Stew Benedict <sbenedict@mandrakesoft.com> 0.84-7mdk
- rebuild for new glibc/rpm, installed but unpacked files

* Fri Jun  7 2002 Stew Benedict <sbenedict@mandrakesoft.com> 0.84-6mdk
- rpmlint: s/Copyright/License/, add clean section
- rpmlint: permissions on /sbin/chos

* Fri Aug  3 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 0.84-5mdk
- Rebuild.
- Big cleanup.

* Fri Jan 21 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 0.84-4mdk
- Exclusivearch: i386 i486 i586 i686 k6 k7

* Sun Dec 19 1999 John Buswell <johnb@mandrakesoft.com>
- Added docs

* Wed Nov 03 1999 John Buswell <johnb@mandrakesoft.com>
- Build Release

* Sun Jul 18 1999 Bernhard Rosenkraenzer <bero@mandrakesoft.de>
- initial rpm
